import { api } from 'datadirect-puppeteer';
import * as common from '../../../common.js';
export const snapshot = async ({ groupId: sectionId, ignoreErrors = true, ...options }) => {
    common.Debug.withGroupId(sectionId, 'Start capturing section info');
    try {
        return (await api.datadirect.SectionInfoView({
            ...options,
            payload: {
                format: 'json',
                sectionId,
                associationId: 1
            }
        })).reduce((sectionInfo, elt) => {
            if (!sectionInfo && elt.Id == sectionId) {
                return elt;
            }
            return sectionInfo;
        }, undefined);
    }
    catch (error) {
        if (ignoreErrors) {
            common.Debug.errorWithGroupId(sectionId, 'Error capturing section info', error);
            return undefined;
        }
        else {
            throw error;
        }
    }
};
//# sourceMappingURL=SectionInfo.js.map